danielhanrahan | c0b6f3a | 2024-04-29 16:16:42 +0100 | [diff] [blame] | 1 | #!/bin/bash |
| 2 | # |
| 3 | # Copyright 2024 Nordix Foundation. |
| 4 | # |
| 5 | # Licensed under the Apache License, Version 2.0 (the "License"); |
| 6 | # you may not use this file except in compliance with the License. |
| 7 | # You may obtain a copy of the License at |
| 8 | # |
| 9 | # http://www.apache.org/licenses/LICENSE-2.0 |
| 10 | # |
| 11 | # Unless required by applicable law or agreed to in writing, software |
| 12 | # distributed under the License is distributed on an "AS IS" BASIS, |
| 13 | # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| 14 | # See the License for the specific language governing permissions and |
| 15 | # limitations under the License. |
| 16 | # |
| 17 | |
| 18 | set -o errexit # Exit on most errors |
| 19 | set -o nounset # Disallow expansion of unset variables |
| 20 | set -o pipefail # Use last non-zero exit code in a pipeline |
| 21 | #set -o xtrace # Uncomment for debugging |
| 22 | |
| 23 | on_exit() { |
| 24 | rc=$? |
| 25 | ./teardown.sh |
| 26 | popd |
| 27 | echo "TEST FAILURES: $rc" |
| 28 | exit $rc |
| 29 | } |
| 30 | trap on_exit EXIT |
| 31 | |
| 32 | pushd "$(dirname "$0")" || exit 1 |
| 33 | |
| 34 | ./setup.sh |
| 35 | ./ncmp/run-all-tests.sh |
| 36 | NCMP_RESULT=$? |
| 37 | |
| 38 | # Note that the final steps are done in on_exit function after this exit! |
| 39 | exit $NCMP_RESULT |